Subject: bug#74785: 27.1; Fill-paragraph in RST mode does not respect line blocks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 11:32:40 +0200

severity 74785 wishlist
thanks

> From: Stefan Merten <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> Comments: In-reply-to Eli Zaretskii <[email-masked]>
>    message dated "Sat, 04 Jan 2025 13:50:39 +0200."
> Date: Sun, 05 Jan 2025 13:26:46 +0100
> 
> Hi Eli,
> 
> Yesterday Eli Zaretskii wrote:
> > Ping! Stefan Merten, did you have time to have another look?
> 
> yes I had. As I expected things are a bit more complicated. After all
> I added a unit test already for this feature.
> 
> Indeed I have a big test suite for the mode. It found a bug introduced
> by a change in the Emacs core components. This bug I fixed already :-) .
> 
> 
> BTW: I'd consider this topic here not a bug. Indeed there are a couple
> of features in reStructuredText which are not yet supported - for
> instance support for tables. If you consider this a bug, then rst.el
> is full of bugs. However, I think reStructuredText features like
> tables are more or less impossible to support in an Emacs mode.
> 
> Thus I'd consider this a feature request. Frankly I can't see the
> rationale in implementing *this* feature just because someone is
> yelling...

OK, I've now made this a feature request.